Subject: bug#37724: HTML Markdown and Emacs Outline Hash Links in DEMO not working

From: "Kevin J. McCarthy" <[email-masked]>
Date: Sun, 13 Oct 2019 12:20:38 +0800

I use:  Editor:      GNU Emacs 26.1 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.4)

         Hyperbole:   7.0.7
         Sys Type:    x86_64-pc-linux-gnu
         OS Type:     gnu/linux
         Window Sys:  x
         News Reader: Gnus v5.13

In the DEMO file under
* Implicit Buttons
** Implicit Path Links
*** HTML Markdown and Emacs Outline Hash Links

The example "man/hyperbole.html#Smart-Keys" gives me an error message
   (hpath:find): "man/hyperbole.html" does not exist

The same for "README.md#why-was-hyperbole-developed":
   (hpath:find): "README.md" does not exist

If I (find-file) from the DEMO, I see man/hyperbole.html and README.md 
both exist in the path relative to DEMO.

The path and line/column numbers examples work fine: "HY-ABOUT", 
"HY-ABOUT:10", "HY-ABOUT:17:7".

Also, the hash links within the DEMO file are working fine, 
e.g. "#Org-Mode".

Thank you,

-Kevin